<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$promocion=$_GET['numero_promocion'];
$sede=$_GET['sede'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

$sqlx = "SELECT nombre_sede FROM sedes where codigo='$sede'";
$rsx = mysql_query($sqlx, $cn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$nombre_sede= $rowx['nombre_sede'];


// Incluye las clases que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(750,17,8,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
if($sede=='0'){
	$query = "SELECT 
	egresados.cedula, 
	egresados.apellidos, 
	egresados.nombres, 
	egresados.id_alumno, 
	egresados.nom_carrera, 
	alumnos.telefonoh, 
	alumnos.telefonot, 
	alumnos.telefonoc, 
	alumnos.email,
	alumnos.lugar,
	alumnos.pais,
	alumnos.estado
	FROM egresados, alumnos
	WHERE egresados.id_alumno = alumnos.id_alumno
	AND egresados.promocion = '$promocion'
	ORDER BY egresados.nom_carrera, egresados.apellidos, egresados.nombres";
}
else {
	$query = "SELECT 
	egresados.cedula, 
	egresados.apellidos, 
	egresados.nombres, 
	egresados.id_alumno, 
	egresados.nom_carrera, 
	alumnos.telefonoh, 
	alumnos.telefonot, 
	alumnos.telefonoc, 
	alumnos.email,
	alumnos.lugar,
	alumnos.pais,
	alumnos.estado
	FROM egresados, alumnos
	WHERE egresados.id_alumno = alumnos.id_alumno
	AND egresados.promocion = '$promocion' AND egresados.sede = '$sede'
	ORDER BY egresados.nom_carrera, egresados.apellidos, egresados.nombres";
}
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.




// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
//$pdf->ezsetdy(-5);
$pdf->ezText("                         UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'full'));

$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-12);
$pdf->ezText('<b>'.utf8_decode("          DIRECTORIO DE GRADUÁNDOS").'</b>',14,array('justification'=>'center'));
if($sede=='0'){
   $pdf->ezText('<b>'.utf8_decode("          ACTO DE GRADO ").utf8_decode($promocion).'</b>',12,array('justification'=>'center'));
}
else {
   $pdf->ezText('<b>'.utf8_decode("          ACTO DE GRADO ").utf8_decode($promocion).' - SEDE '.$nombre_sede.'</b>',12,array('justification'=>'center'));
}   
$pdf->ezsetdy(-12);
$pdf->ezText("  GRADUANDOS: ".$totalRows.'                                                                                                                                                                                                             '.utf8_decode("Fecha de Impresión: ").date("d/m/Y"),9 ,array('justification'=>'left'));

// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4.9,1,2.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.', 
			  'cedula'=>utf8_decode('CÉDULA').'      ', 
              'apellidosynombres'=>'                 APELLIDOS Y NOMBRES',
			  'programa'=>utf8_decode('PROGRAMA'),
			  'telefonos'=>utf8_decode('TELÉFONOS'),
			  'mail'=>'E-MAIL',
			  'lugar'=>'LUGAR DE NACIMIENTO'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
	$cod_pais=$row[10];
	$cod_estado=$row[11];
	$lugar=$row[9];
	
	$sqlPais = "Select pais From paises WHERE codigo='$cod_pais'";
    $rstPais = mysql_query($sqlPais, $cn) or die(mysql_error());
    $rowPais = mysql_fetch_assoc($rstPais);
	$pais =$rowPais["pais"];
	
	$sqlEstado = "Select ESTADO From estados WHERE CODIGO='$cod_estado'";
    $rstEstado = mysql_query($sqlEstado, $cn) or die(mysql_error());
    $rowEstado = mysql_fetch_assoc($rstEstado);
	$estado=$rowEstado["ESTADO"];
	
	//Concateno el Lugar de Nacimiento.
    $nacimiento=$lugar;
	
	if($estado<>"SIN INFORMACION" && $estado<>"NO APLICA"){
	   $nacimiento=$nacimiento.', ESTADO '.$estado;
	}
	
	if($pais<>"SIN INFORMACION"){
	   $nacimiento=$nacimiento.', '.strtoupper($pais);
	 }  
	 
	
	
	$id_alumno     = $row[3];    // cedula 
    $apeynom  = $row[1].', '.$row[2]; // apellidos y nombres
	
	$programa= $row[4];
	$telf='';
	if($row[5]<>'SIN INFORMACION'){
	   $telf = $telf.$row[5];  
	}
	
	if($row[6]<>'SIN INFORMACION'){
	         $telf = $telf.' / '.$row[6];
	}
	 
	   
	if($row[7]<>'SIN INFORMACION'){
	      $telf = $telf.' / '.$row[7];
    }  

    $mail=$row[8];
    

    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.' ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'programa'=>utf8_decode($programa),
					'telefonos'=>utf8_decode($telf),
					'mail'=>utf8_decode($mail),
					'lugar'=>utf8_decode($nacimiento)); 
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'720','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'programa'=>array('justification'=>'left')
			 ,'telefonos'=>array('justification'=>'center')
			 ,'mail'=>array('justification'=>'center')
			 ,'lugar'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $id_docente, $nom_docente)
{
    // Facilitador(a).
    $pdf->Rectangle(58,25,500,50);
    $pdf->addText(280,65,8,'Facilitador(a)');
	$pdf->line(58,60,558,60); 
	$pdf->addText(65,50,7,'Nombres y Apellidos:'.$nom_docente);
	$pdf->addText(400,50,7,'C�dula/Pasaporte: '.$id_docente);
	//$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(445,33,7,'FECHA: ______/______/________');
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(65,33,7,'FIRMA:');
	$pdf->line(58,45,558,45); 
}
?> 